{
    "label": "protein_extract",
    "class": "Workflow",
    "hints": [
        {
            "dockerPull": "ncbi/gpdev:latest",
            "class": "DockerRequirement"
        }
    ],
    "inputs": [
        {
            "type": "File",
            "id": "#main/input"
        },
        {
            "type": "boolean",
            "id": "#main/nogenbank"
        },
        {
            "type": [
                "null",
                "string"
            ],
            "id": "#main/olds2"
        },
        {
            "type": [
                "null",
                "string"
            ],
            "id": "#main/oproteins"
        },
        {
            "type": [
                "null",
                "string"
            ],
            "id": "#main/oseqids"
        }
    ],
    "steps": [
        {
            "in": [
                {
                    "source": "#main/protein_extract/lds2",
                    "id": "#main/lds2_fix/in_lds2"
                }
            ],
            "out": [
                "#main/lds2_fix/lds2"
            ],
            "run": {
                "class": "CommandLineTool",
                "requirements": [
                    {
                        "listing": [
                            {
                                "entry": "$(inputs.in_lds2)",
                                "writable": true
                            }
                        ],
                        "class": "InitialWorkDirRequirement"
                    }
                ],
                "baseCommand": "sqlite3",
                "inputs": [
                    {
                        "type": "File",
                        "inputBinding": {
                            "position": 1
                        },
                        "id": "#main/lds2_fix/df85a944-6b0d-4c78-9ac1-53054fd8f0f1/in_lds2"
                    },
                    {
                        "type": [
                            "null",
                            "string"
                        ],
                        "default": "update file set file_name=replace(file_name, rtrim(file_name, replace(file_name, '/', '')), '');",
                        "inputBinding": {
                            "position": 2
                        },
                        "id": "#main/lds2_fix/df85a944-6b0d-4c78-9ac1-53054fd8f0f1/sql"
                    }
                ],
                "outputs": [
                    {
                        "type": "File",
                        "outputBinding": {
                            "glob": "$(inputs.in_lds2.basename)"
                        },
                        "id": "#main/lds2_fix/df85a944-6b0d-4c78-9ac1-53054fd8f0f1/lds2"
                    }
                ],
                "id": "#main/lds2_fix/df85a944-6b0d-4c78-9ac1-53054fd8f0f1"
            },
            "id": "#main/lds2_fix"
        },
        {
            "in": [
                {
                    "source": "#main/input",
                    "id": "#main/protein_extract/input"
                },
                {
                    "source": "#main/nogenbank",
                    "id": "#main/protein_extract/nogenbank"
                },
                {
                    "source": "#main/olds2",
                    "id": "#main/protein_extract/olds2"
                },
                {
                    "source": "#main/oproteins",
                    "id": "#main/protein_extract/oproteins"
                },
                {
                    "source": "#main/oseqids",
                    "id": "#main/protein_extract/oseqids"
                }
            ],
            "out": [
                "#main/protein_extract/proteins",
                "#main/protein_extract/lds2",
                "#main/protein_extract/seqids"
            ],
            "run": {
                "class": "CommandLineTool",
                "baseCommand": "protein_extract",
                "inputs": [
                    {
                        "type": "File",
                        "inputBinding": {
                            "prefix": "-input"
                        },
                        "id": "#main/protein_extract/3b55dbf4-6cf9-4faa-a42e-860566a23591/input"
                    },
                    {
                        "type": "boolean",
                        "inputBinding": {
                            "prefix": "-nogenbank"
                        },
                        "id": "#main/protein_extract/3b55dbf4-6cf9-4faa-a42e-860566a23591/nogenbank"
                    },
                    {
                        "type": [
                            "null",
                            "string"
                        ],
                        "default": "LDS2",
                        "inputBinding": {
                            "prefix": "-olds2"
                        },
                        "id": "#main/protein_extract/3b55dbf4-6cf9-4faa-a42e-860566a23591/olds2"
                    },
                    {
                        "type": [
                            "null",
                            "string"
                        ],
                        "default": "proteins.asn",
                        "inputBinding": {
                            "prefix": "-o"
                        },
                        "id": "#main/protein_extract/3b55dbf4-6cf9-4faa-a42e-860566a23591/oproteins"
                    },
                    {
                        "type": [
                            "null",
                            "string"
                        ],
                        "default": "proteins.seq_ids",
                        "inputBinding": {
                            "prefix": "-oseqids"
                        },
                        "id": "#main/protein_extract/3b55dbf4-6cf9-4faa-a42e-860566a23591/oseqids"
                    }
                ],
                "outputs": [
                    {
                        "type": "File",
                        "outputBinding": {
                            "glob": "$(inputs.olds2)"
                        },
                        "id": "#main/protein_extract/3b55dbf4-6cf9-4faa-a42e-860566a23591/lds2"
                    },
                    {
                        "type": "File",
                        "outputBinding": {
                            "glob": "$(inputs.oproteins)"
                        },
                        "id": "#main/protein_extract/3b55dbf4-6cf9-4faa-a42e-860566a23591/proteins"
                    },
                    {
                        "type": "File",
                        "outputBinding": {
                            "glob": "$(inputs.oseqids)"
                        },
                        "id": "#main/protein_extract/3b55dbf4-6cf9-4faa-a42e-860566a23591/seqids"
                    }
                ],
                "id": "#main/protein_extract/3b55dbf4-6cf9-4faa-a42e-860566a23591"
            },
            "id": "#main/protein_extract"
        }
    ],
    "id": "#main",
    "outputs": [
        {
            "type": "File",
            "outputSource": "#main/lds2_fix/lds2",
            "id": "#main/lds2"
        },
        {
            "type": "File",
            "outputSource": "#main/protein_extract/proteins",
            "id": "#main/proteins"
        },
        {
            "type": "File",
            "outputSource": "#main/protein_extract/seqids",
            "id": "#main/seqids"
        }
    ],
    "cwlVersion": "v1.0"
}
